Highlighted

Installing CF Builder 3 into Eclipse...

Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

Ok, earlier I posted that I couldn't install CF Builder 3 into Flash Builder 4.7...  So I tried simply to install CF Builder 3 into a plain old Eclipse install, intending to then install Flash Builder 4.7 on top of that.

BUT COLDFUSION BUILDER 3 WON'T EVEN INSTALL INTO PLAIN ECLIPSE!!!!

I have followed all the instructions.  I have downloaded the newest version of 64-bit Eclipse.  (4.6-something).  The instructions say version 3.6 OR HIGHER is needed, so I assume 4.6 will work fine.  I ran the CF Builder 3 .exe file; I selected the Eclipse Plugin install option, I entered the serial number when prompted...  The install log SAYS the install is successful.  But when I double-click on the "Run Adobe ColdFusion Builder 3 Plugin" shortcut, it just runs Eclipse -- there are NO ColdFusion perspectives or anything ColdFusion-related anywhere in there!!!

WHAT IS GOING ON HERE?!!!  WHY WILL THIS STUPID THING NOT WORK PROPERLY?!!!!  I HAVE WORK I NEED TO DO AND THIS STUPID INSTALL ISSUE IS SCREWING ME UP HERE!!!

SOMEONE RESPOND!!!!  THIS NEEDS TO WORK NOW!!!!!!!!!!!!!

Well, I guess this is the answer if you're trying to install CF Builder 3 into Eclipse.  You have to install it into Eclipse 4.3.x -- no other version, older or newer, of Eclipse will work with CF Builder 3.

And if you're trying to install Flash Builder 4.7 into that same Eclipse install?  Not gonna happen.  Simply not possible.  Can't be done.  But if you don't need Flash Builder 4.7, then you can get CF Builder 3 installed properly with no problems into your Eclipse 4.3.x installation. 

TOPICS
Builder

Views

905

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Installing CF Builder 3 into Eclipse...

Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

Ok, earlier I posted that I couldn't install CF Builder 3 into Flash Builder 4.7...  So I tried simply to install CF Builder 3 into a plain old Eclipse install, intending to then install Flash Builder 4.7 on top of that.

BUT COLDFUSION BUILDER 3 WON'T EVEN INSTALL INTO PLAIN ECLIPSE!!!!

I have followed all the instructions.  I have downloaded the newest version of 64-bit Eclipse.  (4.6-something).  The instructions say version 3.6 OR HIGHER is needed, so I assume 4.6 will work fine.  I ran the CF Builder 3 .exe file; I selected the Eclipse Plugin install option, I entered the serial number when prompted...  The install log SAYS the install is successful.  But when I double-click on the "Run Adobe ColdFusion Builder 3 Plugin" shortcut, it just runs Eclipse -- there are NO ColdFusion perspectives or anything ColdFusion-related anywhere in there!!!

WHAT IS GOING ON HERE?!!!  WHY WILL THIS STUPID THING NOT WORK PROPERLY?!!!!  I HAVE WORK I NEED TO DO AND THIS STUPID INSTALL ISSUE IS SCREWING ME UP HERE!!!

SOMEONE RESPOND!!!!  THIS NEEDS TO WORK NOW!!!!!!!!!!!!!

Well, I guess this is the answer if you're trying to install CF Builder 3 into Eclipse.  You have to install it into Eclipse 4.3.x -- no other version, older or newer, of Eclipse will work with CF Builder 3.

And if you're trying to install Flash Builder 4.7 into that same Eclipse install?  Not gonna happen.  Simply not possible.  Can't be done.  But if you don't need Flash Builder 4.7, then you can get CF Builder 3 installed properly with no problems into your Eclipse 4.3.x installation. 

TOPICS
Builder

Views

906

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Sep 23, 2016 0
Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

I *finally* got this stupid thing to install as a plugin in Eclipse.

What was the trick?  Trying progressively older and older versions of Eclipse, until the stupid thing worked. 

It finally worked with Eclipse version 4.3.2 (Kepler SR2)

You can get that version of Eclipse here: Eclipse Kepler SR2 Packages | Packages

Now, hopefully, installing Adobe Flash Builder 4.7 Premium on top of this as an Eclipse Plugin will also work.  I'll post a response if/when I have success.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 23, 2016 0
Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

Ok...  Adobe Flash Builder 4.7 Premium won't install into an Eclipse 4.3.2 environment...  It says it needs 3.7 or 4.2...  So now I'm downloading Eclipse 4.2.2 from here: Eclipse Juno SR2 Packages | Packages

Hopefully CF Builder 3 will install into Eclipse 4.2.2.  We shall see.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 23, 2016 0
Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

ColdFusion Builder 3 WILL NOT install into Eclipse 4.2.2.  😞

I hate Adobe and their crappy software!!!!!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 23, 2016 0
Contributor ,
Sep 23, 2016

Copy link to clipboard

Copied

Well, I guess this is the answer if you're trying to install CF Builder 3 into Eclipse.  You have to install it into Eclipse 4.3.x -- no other version, older or newer, of Eclipse will work with CF Builder 3.

And if you're trying to install Flash Builder 4.7 into that same Eclipse install?  Not gonna happen.  Simply not possible.  Can't be done.  But if you don't need Flash Builder 4.7, then you can get CF Builder 3 installed properly with no problems into your Eclipse 4.3.x installation. 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Sep 23, 2016 0